OpenVDB 13.0.0

Loading...
Searching...
No Matches
openvdb::v13_0::math::pcg::internal Namespace Reference

## Classes
struct | CopyOp
struct | FillOp
struct | LinearOp

## Functions
template<typename T>
void | axpy (const T &a, const T *xVec, const T *yVec, T *resultVec, SizeType size)
| Compute ax + y.
template<typename T>
void | axpy (const T &a, const Vector< T > &xVec, const Vector< T > &yVec, Vector< T > &result)
| Compute ax + y.
template<typename MatrixOperator, typename VecValueType>
void | computeResidual (const MatrixOperator &A, const VecValueType *x, const VecValueType *b, VecValueType *r)
| Compute r = b − Ax.
template<typename MatrixOperator, typename T>
void | computeResidual (const MatrixOperator &A, const Vector< T > &x, const Vector< T > &b, Vector< T > &r)
| Compute r = b − Ax.

## Function Documentation

## ◆ axpy() [1/2]

template<typename T>

void axpy | ( | const T & | a,
|  | const T * | xVec,
|  | const T * | yVec,
|  | T * | resultVec,
|  | SizeType | size )
| inline

Compute ax + y.

## ◆ axpy() [2/2]

template<typename T>

void axpy | ( | const T & | a,
|  | const Vector< T > & | xVec,
|  | const Vector< T > & | yVec,
|  | Vector< T > & | result )
| inline

Compute ax + y.

## ◆ computeResidual() [1/2]

template<typename MatrixOperator, typename T>

void computeResidual | ( | const MatrixOperator & | A,
|  | const Vector< T > & | x,
|  | const Vector< T > & | b,
|  | Vector< T > & | r )
| inline

Compute r = b − Ax.

## ◆ computeResidual() [2/2]

template<typename MatrixOperator, typename VecValueType>

void computeResidual | ( | const MatrixOperator & | A,
|  | const VecValueType * | x,
|  | const VecValueType * | b,
|  | VecValueType * | r )
| inline

Compute r = b − Ax.